package com.steering.jobface.lims;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import java.util.Timer;

public class LimsDataServlet extends HttpServlet {
    private static final long serialVersionUID = 1L;

    public void init() throws ServletException {

        System.out.println("--------------后台线程初始化中--------------------");
        // 监制信息维护 每1分钟执行一次
        new Timer().scheduleAtFixedRate(new LimsDataTask(), 0,
                60 * 1000);
        new Timer().scheduleAtFixedRate(new LimsDelDataTask(), 0,
                10 * 60 * 1000);
        System.out.println("--------------后台线程初始化成功--------------------");

    }
}
